// addent.h
// module for manually adding entropy to the system
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#ifndef __ADDENT_H
#define __ADDENT_H

// (other utilities that were declared here have been moved
// to nonport.h)

// complete routine: prompt the user, then retrieve 'numbits'
// of entropy from the user typing at the keyboard
// (may call getEntropyFromSystem instead of requiring typing)
void getEntropyFromConsole(int numbits);

// get it from /dev/random
void getEntropyFromSystem(int numbits);

#endif // __ADDENT_H

