// tfiles.cc
// testing crypto++ 'files' system
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#include "files.h"     // Files stuff
#include <stdio.h>     // printf

int main()
{
  char data[] = "some data";

  {
    FileSink sink("test.dat");
    sink.Put((byte const*)data, sizeof(data));
  }

  FileSource source("test.dat", true /*pumpAndClose*/);
  char buf[20];
  int len = source.Get((byte*)buf, 20);

  printf("original, len = %d: %s\n", sizeof(data), data);
  printf("final, len = %d: %s\n", len, buf);

  return 0;
}




