// echo.cc
// program to test immediate-feedback console access
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#include <stdio.h>     // getchar
#include <stdlib.h>    // system

int main()
{
  printf("type something, 'q' to quit:\n");
  system("stty -echo raw");

  char c;
  for (;;) {
    c = getchar();
    if (c == 'q') {
      break;
    }

    printf("(%c)", c);
  }

  system("stty echo cooked");
  printf("\nend\n");
  return 0;
}
