// filkeydb.h
// KeyDB implementation using files

#ifndef __FILKEYDB_H
#define __FILKEYDB_H

#include "keydb.h"       // KeyDB

class FileKeyDB : public KeyDB {
public:
  // KeyDB funcs
  virtual bool containsKey(IPAddress addr);
  virtual DataBlock getKey(IPAddress addr);
  virtual void setKey(IPAddress addr, DataBlock const &key);
  virtual IPAddress *getMatchingAddrs(int &numMatching, DataBlock const &key);
};

#endif // __FILKEYDB_H

