// socksrc.cpp
// code for socksrc.h
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#include "socksrc.h"      // this module
#include "sockutil.h"     // xSocket, SocketSet
#include "socket.h"       // socket api


int SocketInputSource::read(char *buffer, int buflen)
{
  return basicRecv(socket, buffer, buflen);
}


bool SocketInputSource::poll()
{
  SocketSet set;
  set.add(socket);
  return set.pollReadable() > 0;
}

